flex-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aron Nopanen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLEX-35123) DOM XSS vulnerability in history.js
Date Thu, 03 Nov 2016 18:51:59 GMT

    [ https://issues.apache.org/jira/browse/FLEX-35123?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15633815#comment-15633815
] 

Aron Nopanen commented on FLEX-35123:
-------------------------------------

I'm happy to be in the CONTRIBUTORS list; thanks for accepting the patch!

> DOM XSS vulnerability in history.js
> -----------------------------------
>
>                 Key: FLEX-35123
>                 URL: https://issues.apache.org/jira/browse/FLEX-35123
>             Project: Apache Flex
>          Issue Type: Bug
>            Reporter: Aron Nopanen
>            Assignee: Justin Mclean
>             Fix For: Apache Flex 4.16.0
>
>         Attachments: 0001-Address-DOM-XSS-vulnerability.patch
>
>   Original Estimate: 1h
>  Remaining Estimate: 1h
>
> Template file history.js contains a DOM XSS vulnerability. While it looks like it would
be difficult to exploit, it should be addressed.
> The code in question is in a block specific to ancient versions of Safari (<= 2.0.4),
so I propose that block could safely be removed entirely.
> The vulnerable line is:
> getFormElement().innerHTML = '<form name="historyForm" action="'+file+'#' + flexAppUrl
+ '" method="GET"></form>';
> The variables 'file' and 'flexAppUrl' are being passed unescaped into HTML subcontext.
> I'm attaching a patch that would remove the Safari-specific handling, including the vulnerable
line.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message